<?php

/* This is the ORI-OAI referencement shortcuts block
  * 
  * @package ORI-OAI
  * @author: Simon MARTIN (Seomaz) 
  * @date: 2010 02 11
  */

class block_referencement extends block_base {
	function init() {
    	$this->title   = get_string('title','block_referencement');
    	$this->version = 2010021100;
    }

	function get_content() {
		global $CFG;
		global $USER;
		require_once($CFG->dirroot.'/auth/cas/CAS/CAS.php');
    	if ($this->content !== NULL) {
      		return $this->content;
    	}

	    $this->content        =  new object();
	    
	    //link to the sheet list
    	$this->content->text  = '<a href="'.$CFG->block_referencement_workflow_url
    		.'" target="_blank"><img src="'.$CFG->pixpath.'/i/sheetlist.gif" class="icon" alt="" />'
    		.get_string('workflow','block_referencement').'</a>'; 
    	
    	//link to the ori-search portal
    	$this->content->text .= '<br/><a href="'.$CFG->block_referencement_orioaisearch_url
    		.'" target="_blank"><img src="'.$CFG->pixpath.'/i/search.gif" class="icon" alt="" />'
    		.get_string('orisearch','block_referencement').'</a>';
  
	    
    	$this->content->footer = '';
	   	return $this->content;
  	}
  	
	function has_config() {
  		return true;
	}
	
	function specialization() {
		global $CFG;
		
		//default values - makes empty values impossible, and send to oai-ori homesite.
		if( empty($CFG->block_referencement_workflow_url) )
			$CFG->block_referencement_workflow_url = 'http://www.ori-oai.org/display/ORIOAIworkflow/Version+1.5';
			
		if( empty($CFG->block_referencement_orioaisearch_url) )
			$CFG->block_referencement_orioaisearch_url = 'http://www.ori-oai.org/display/ORIOAIsearch/Version+1.5';
	}
}

?>