<?php
require_once('../../config.php');
require_once('../filelib.php');
require_once('../formslib.php');
global $CFG;
global $USER;

//sae as moodle error() function.
//but click on validation button will close the window.
function messageandclose($string)
{
	print_header();
	echo'<FORM class="mform" METHOD="POST" ACTION="" >
		<div class="box errorbox errorboxcontent">';
	echo $string;
	echo '</div><div class="continuebutton"><div class="singlebutton">
	<INPUT type="button" value="'.get_string('continue','referencement').'" onclick="window.close()"/>
	</div></div></form>';
	print_footer();
	die;
}


$fileurl = required_param('fileurl');
$fileurl = urldecode($fileurl);

$courseid = required_param('course');

$action = optional_param('groupaction','');

if($action == 'nothing'){
	echo "<script> window.close();</script>";die;
}
if($action == 'createNew'){
	$filename = $_POST['newname'].$_POST['fileext'];
	$dest = $CFG->dataroot.'/'.$courseid.'/'.$filename;
}else{
	$filename = required_param('filename');
}

$dest = $CFG->dataroot.'/'.$courseid.'/'.$filename;


if($action == 'replace'){
	if(!unlink($dest)){
		$message = get_string('cantdelete','referencement');
	}
}

//get the data
$ch = curl_init($fileurl);
curl_setopt($ch, CURLOPT_RETURNTRANSFER,1);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
curl_setopt($ch, CURLOPT_HTTPGET, true);
curl_setopt($ch, CURLOPT_HEADER, false);

$result = curl_exec($ch);
$code = curl_getinfo($ch, CURLINFO_HTTP_CODE);
$mimetype = curl_getinfo($ch, CURLINFO_CONTENT_TYPE);
curl_close($ch);

//forbiden OR not found OR auth needed
if($code == 404 || $code == 403 || $code == 401){
	//get the host of the ressource
	$hostname = substr($fileurl,strpos($fileurl,'//')+2);
	$endpos = strpos($hostname,':');
	if($endpos === false){
		$endpos = strpos($hostname,'/');
	}
	$hostname = substr($hostname,0,$endpos);

	//if the host is the same as the configured one for file deposit :
	if($hostname == $CFG->block_referencement_host){
		//and if a cookie is present for this host :
		if($_COOKIE['CMISREPOSITORY'.md5($USER->username)]){
			$cookie = $_COOKIE['CMISREPOSITORY'.$USER->username];
			//try to get data with this cookie
			$ch = curl_init($fileurl);
			curl_setopt($ch, CURLOPT_RETURNTRANSFER,1);
			curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
			curl_setopt($ch, CURLOPT_HTTPGET, true);
			curl_setopt($ch, CURLOPT_HEADER, false);
			curl_setopt($ch, CURLOPT_COOKIE,$cookie);
			$result = curl_exec($ch);
			$code = curl_getinfo($ch, CURLINFO_HTTP_CODE);
			$mimetype = curl_getinfo($ch, CURLINFO_CONTENT_TYPE);
			curl_close($ch);
		}
	}

	if($code != 200){
		messageandclose(get_string('accesadvise','referencement'));
	}
}


//else (???) => unknown error.
if($code != 200){
	messageandclose(get_string('unknownerror','referencement'));
}


//if data is html : it's a website (or an error page??) => advertissment
if(substr($mimetype,0,9)=='text/html' || $code != 200){
	messageandclose(get_string('htmlmimetype','referencement'));
}

$extension = false;
//TODO : enhance!
if($mimetype == 'application/pdf'){
	$extension = 'pdf';
}else{
	$mimeexts = get_mimetypes_array();
	foreach($mimeexts as $ext=>$val){
		if($val['type'] == $mimetype){
			$extension = $ext;
			break;
		}
	}
}

if($extension == false){
	messageandclose(get_string('badextension','referencement'));
}


//test correct file name
if(!ereg("^[0-9a-zA-Z\.]+$", $filename) )
{
	$mform = new MoodleQuickForm('specialchars','POST','rapatriement.php');
	$mform->addElement('header', 'specialcharsheader', get_string('badfilename', 'referencement'));
	$txtgrp = array();
	$txtgrp[] = $mform->createElement('text', 'newname','', 'value="'.$filename.'" size="60%" style="text-align:right"');
	$txtgrp[] = $mform->createElement('static','extension','','.'.$extension);
	$mform->addGroup($txtgrp);
	$group = array();
	$group[] =& $mform->createElement('submit', 'submitbutton',get_string('validate','referencement'));
	$button = $group[] =& $mform->createElement('button', 'cancelbutton',get_string('nothing','referencement'));
	$buttonattributes = array('onclick'=>"window.close();");
	$button->updateAttributes($buttonattributes);
	$mform->addGroup($group);
	$mform->addElement('hidden','fileurl',$fileurl);
	$mform->addElement('hidden','course',$courseid);
	$mform->addElement('hidden','groupaction','createNew');
	$mform->addElement('hidden','fileext','.'.$extension);

	print_header();
	$mform->display();
	print_footer();die;
}





//test existing file
if(file_exists($dest)){
	$fileext= substr($filename,strrpos($filename,'.'));
	$filenamenoext = substr($filename,0,strrpos($filename,'.'));
	print_header();
	if(isset($message)){
		echo '<div class="box errorbox errorboxcontent">';
		echo $message;
		echo '</div>';
	}
	
	$mform = new MoodleQuickForm('existingfile','POST','rapatriement.php');
	$mform->addElement('header', 'existingfilehead', get_string('existingfile', 'referencement'));
	
	$mform->addElement('radio','groupaction','',get_string('replace','referencement'),'replace');
	$newnamegroup = array();
	$newnamegroup[] = $mform->createElement('radio','groupaction',null,get_string('createNew','referencement'),'createNew');
	$newnamegroup[] = $mform->createElement('text','newname','','value="'.$filenamenoext.'"');
	$newnamegroup[] = $mform->createElement('static','extension','','.'.$extension);
	
	$mform->addGroup($newnamegroup);
	$mform->setDefault('groupaction', 'replace');
	
	$group = array();
	$group[] =& $mform->createElement('submit', 'submitbutton',get_string('validate','referencement'));
	$button = $group[] =& $mform->createElement('button', 'cancelbutton',get_string('nothing','referencement'));
	$buttonattributes = array('onclick'=>"window.close();");
	$button->updateAttributes($buttonattributes);
	$mform->addGroup($group);
	$mform->addElement('hidden','fileext',$fileext);
	$mform->addElement('hidden','fileurl',$fileurl);
	$mform->addElement('hidden','course',$courseid);
	$mform->addElement('hidden','filename',$filename);
	
	$mform->display();
	print_footer();die;
}


//write data in the new file
else{
	$newfile = fopen($dest,'w');
	fwrite($newfile,$result);
	fclose($newfile);
	$url = $CFG->wwwroot.'/files/index.php?id='.$courseid.'&choose=id_reference_value';
	echo "<script>
	var chbox = window.opener.document.getElementsByName('doreference')[0];
	chbox.checked=false;
	chbox.disabled=true;
	window.opener.document.getElementById('id_reference_value').value = '$filename';
	window.location = '$url';</script>";die;
}
?>